This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 652629 - Review Request: erlang-riak_kv - Riak Key/Value Store
Review Request: erlang-riak_kv - Riak Key/Value Store
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
:
Depends On: 591926 639263 648023 652543 652546 652585 652598 652616 652623 822472 822491 822928 822997 823101 823171
Blocks: 652665 652682 841766
  Show dependency treegraph
 
Reported: 2010-11-12 06:39 EST by Peter Lemenkov
Modified: 2012-08-23 19:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-25 15:52:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
brendan.jones.it: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2010-11-12 06:39:40 EST
Spec URL: http://peter.fedorapeople.org/erlang-riak_kv.spec
SRPM URL: http://peter.fedorapeople.org/erlang-riak_kv-0.13.0-1.fc12.src.rpm
Description: Riak Key/Value Store

This is the one of the requirements for Riak.
Comment 1 Silas Sewell 2010-11-28 20:30:20 EST
Just a note for anyone else trying these RPMs, you'll need to remove the "erlang_provides_requires" line from the end of the Requires section to install this RPM (linked spec file is update-to-date).

Obviously this review is marked NotReady so this commented can be ignored by Peter.
Comment 2 Peter Lemenkov 2010-11-29 07:44:42 EST
(In reply to comment #1)
> Just a note for anyone else trying these RPMs, you'll need to remove the
> "erlang_provides_requires" line from the end of the Requires section to install
> this RPM (linked spec file is update-to-date).
> 
> Obviously this review is marked NotReady so this commented can be ignored by
> Peter.

Yes, that was an unfortunate leftover (left from my private experiments). Now I finished packaging work, and the package is ready (except for the number of missing dependencies).
Comment 3 Peter Lemenkov 2011-01-24 06:28:34 EST
Ver. 0.14.0:

http://peter.fedorapeople.org/erlang-riak_kv.spec
http://peter.fedorapeople.org/erlang-riak_kv-0.14.0-1.fc12.src.rpm

There is one strange imported function (looks like a leftover, but I can't fix it by myself, so I will contact upstream for support). So it's still not ready for the review.
Comment 4 Peter Lemenkov 2011-03-11 06:27:51 EST
Ver. 0.14.1

http://peter.fedorapeople.org/erlang-riak_kv.spec
http://peter.fedorapeople.org/erlang-riak_kv-0.14.1-1.fc15.src.rpm

Ok, now all issues with leftovers are fixed, so it's finally ready for review.
Comment 5 Peter Lemenkov 2012-07-16 04:15:29 EDT
Raising NotReady again until all BuildRequires will be available in Rawhide.
Comment 7 Peter Lemenkov 2012-07-20 06:17:39 EDT
Koji scratchbuild for F-18:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=4277482
Comment 8 Brendan Jones 2012-07-24 09:31:06 EDT
I will take this on
Comment 9 Brendan Jones 2012-07-25 04:47:16 EDT
Hi Peter

I ran this locally and was getting test errors in F17 so I tried in F18 as well, still with errors, but different ones. Can you take a look.

Apart from that the package looks to be in pretty good shape so I'll finish off today if you can get to this.

F-18 scratch
http://koji.fedoraproject.org/koji/taskinfo?taskID=4327906

F-17 errors

riak_kv_vnode: list_buckets_test_ (bitcask list buckets)...*failed*
::undef


riak_kv_vnode: list_buckets_test_ (eleveldb list buckets)...*failed*
::undef


riak_kv_vnode: list_buckets_test_ (memory list buckets)...*failed*
::undef


riak_kv_vnode: list_buckets_test_ (multi list buckets)...*failed*
::undef


riak_kv_vnode: filter_keys_test...*failed*
::undef


riak_kv_vnode: must_be_last_cleanup_stuff_test...ok
[done in 0.079 s]
module 'riak_kv_mapred_filters'
riak_kv_mapred_filters: int_to_string_test...ok
riak_kv_mapred_filters: string_to_int_test...ok
riak_kv_mapred_filters: to_upper_test...ok
riak_kv_mapred_filters: to_lower_test...ok
riak_kv_mapred_filters: tokenize_test...ok
riak_kv_mapred_filters: greater_than_test...ok
riak_kv_mapred_filters: less_than_test...ok
riak_kv_mapred_filters: greater_than_eq_test...ok
riak_kv_mapred_filters: less_than_eq_test...ok
riak_kv_mapred_filters: between_implicit_inclusive_test...ok
riak_kv_mapred_filters: between_inclusive_test...ok
riak_kv_mapred_filters: between_exclusive_test...ok
riak_kv_mapred_filters: matches_test...ok
riak_kv_mapred_filters: neq_test...ok
riak_kv_mapred_filters: eq_test...ok
riak_kv_mapred_filters: set_member_test...ok
riak_kv_mapred_filters: similar_to_test...ok
riak_kv_mapred_filters: starts_with_test...ok
riak_kv_mapred_filters: ends_with_test...ok
riak_kv_mapred_filters: compose2_test...ok
riak_kv_mapred_filters: compose3_test...ok
riak_kv_mapred_filters: build_exprs_test...ok
riak_kv_mapred_filters: logical_and_test...ok
riak_kv_mapred_filters: logical_or_test...ok
riak_kv_mapred_filters: logical_not_test...ok
[done in 0.074 s]
module 'raw_link_walker'
module 'put_fsm_eqc'
=======================================================
  Failed: 5.  Skipped: 0.  Passed: 217.
One or more tests were cancelled.

Cover analysis: /home/bsjones/rpmbuild/BUILD/basho-riak_kv-79b80f2/.eunit/index.html
Node                 State   Type         In      Out Address
/usr/lib64/erlang/lib/os_mon-2.2.9/priv/bin/memsup: Erlang has closed. 
Erlang has closed
ERROR: One or more eunit tests failed.
Comment 10 Peter Lemenkov 2012-07-25 05:17:17 EDT
(In reply to comment #9)
> Hi Peter
> 
> I ran this locally and was getting test errors in F17 so I tried in F18 as
> well, still with errors, but different ones. Can you take a look.
> 
> Apart from that the package looks to be in pretty good shape so I'll finish
> off today if you can get to this.
> 
> F-18 scratch
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4327906

That's interesting. I suspect some cpu/memory consumption spikes nearby caused this. It's just my suggestion based on the fact that test numbers shows an increased time required for passing tests which from my experience usually causes by a resource-hungry application running side by side with Erlang VM. I rebuild it again and it passes all the tests just fine in F-18:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=4328020

> F-17 errors
> 
> riak_kv_vnode: list_buckets_test_ (bitcask list buckets)...*failed*
> ::undef
> riak_kv_vnode: list_buckets_test_ (eleveldb list buckets)...*failed*
> ::undef
> riak_kv_vnode: list_buckets_test_ (memory list buckets)...*failed*
> ::undef
> riak_kv_vnode: list_buckets_test_ (multi list buckets)...*failed*
> ::undef
> riak_kv_vnode: filter_keys_test...*failed*
> ::undef

These ones are known issues - I pushed fixed build of erlang-riak_core to updates-testing already:

* https://admin.fedoraproject.org/updates/FEDORA-2012-10879/erlang-riak_core-1.1.2-3.fc17

Please try building on Rawhide - other branches (EL6, F17) are not yet ready for this (dependent packages in updates-testing).
Comment 11 Brendan Jones 2012-07-25 14:15:46 EDT
Hi Peter,

Just the use of both %buildroot/$RPM_BUILD_ROOT needs to be addressed.

Query upstream about license.

Should we be removing the rebar from the package in %prep? Sorry I missed this previously.

This package is APPROVED




Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
     Note: Using prebuilt rpms
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking original sources for licenses No licenses found. Please
     check the source files for licenses manually.
[!]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
     Note: Using prebuilt rpms
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[!]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[-]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (basho-riak_kv-1.1.2-0-gc732840.tar.gz)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking original sources for licenses No licenses found. Please
     check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames
[!]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros

Rpmlint
-------
Checking: erlang-riak_kv-1.1.2-1.fc18.x86_64.rpm
          erlang-riak_kv-1.1.2-1.fc18.src.rpm
erlang-riak_kv.x86_64: W: spelling-error Summary(en_US) Riak -> Rick, Risk, Rial
erlang-riak_kv.x86_64: W: spelling-error %description -l en_US Riak -> Rick, Risk, Rial
erlang-riak_kv.x86_64: E: no-binary
erlang-riak_kv.x86_64: W: only-non-binary-in-usr-lib
erlang-riak_kv.x86_64: W: no-documentation
erlang-riak_kv.x86_64: E: script-without-shebang /usr/lib64/erlang/lib/riak_kv-1.1.2/priv/mapred_builtins.js
erlang-riak_kv.src: W: spelling-error Summary(en_US) Riak -> Rick, Risk, Rial
erlang-riak_kv.src: W: spelling-error %description -l en_US Riak -> Rick, Risk, Rial
erlang-riak_kv.src: W: invalid-url Source0: basho-riak_kv-1.1.2-0-gc732840.tar.gz
2 packages and 0 specfiles checked; 2 errors, 7 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint erlang-riak_kv
(none): E: no installed packages by name erlang-riak_kv
0 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
erlang-riak_kv-1.1.2-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    erlang-basho_metrics(x86-64)  
    erlang-bitcask(x86-64)  
    erlang-cluster_info(x86-64)  
    erlang-crypto(x86-64)  
    erlang-ebloom(x86-64)  
    erlang-eleveldb(x86-64)  
    erlang-erts(x86-64)  
    erlang-eunit(x86-64)  
    erlang-inets(x86-64)  
    erlang-js(x86-64)  
    erlang-kernel(x86-64)  
    erlang-lager(x86-64)  
    erlang-luke(x86-64)  
    erlang-mochiweb(x86-64)  
    erlang-os_mon(x86-64)  
    erlang-riak_client(x86-64)  
    erlang-riak_core(x86-64)  
    erlang-riak_pipe(x86-64)  
    erlang-sext(x86-64)  
    erlang-stdlib(x86-64)  
    erlang-webmachine(x86-64)  

Provides
--------
erlang-riak_kv-1.1.2-1.fc18.x86_64.rpm:
    
    erlang-riak_kv = 1.1.2-1.fc18
    erlang-riak_kv(x86-64) = 1.1.2-1.fc18

MD5-sum check
-------------


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -n erlang-riak_kv --no-build -p
External plugins:
Comment 12 Peter Lemenkov 2012-07-25 14:49:39 EDT
(In reply to comment #11)
> Hi Peter,
> 
> Just the use of both %buildroot/$RPM_BUILD_ROOT needs to be addressed.

Will do.

> Query upstream about license.

I'll do it as well. Actually I've got a bunch of patches for random Riak parts and I'll send them upstream definitely. Just give me more free time :)

> Should we be removing the rebar from the package in %prep? Sorry I missed
> this previously.

We don't use this copy but I agree -it should be removed at least for not causing additional confusion. I'll do,

> This package is APPROVED

Thanks!



New Package SCM Request
=======================
Package Name: erlang-riak_kv
Short Description: Riak Key/Value Store
Owners: peter
Branches: f17 el6
InitialCC:
Comment 13 Jon Ciesla 2012-07-25 15:10:29 EDT
Git done (by process-git-requests).
Comment 14 Peter Lemenkov 2012-07-25 15:52:45 EDT
Built in Rawhide - closing this.
Comment 15 Fedora Update System 2012-08-15 07:35:49 EDT
erlang-riak_kv-1.1.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/erlang-riak_kv-1.1.4-1.fc17
Comment 16 Fedora Update System 2012-08-23 19:31:07 EDT
erlang-riak_kv-1.1.4-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.